Package org.jboss.classfilewriter.code

## Class LookupSwitchBuilder.ValuePair

- java.lang.Object
- - org.jboss.classfilewriter.code.LookupSwitchBuilder.ValuePair

All Implemented Interfaces:
  `java.lang.Comparable<LookupSwitchBuilder.ValuePair>`

Enclosing class:
  LookupSwitchBuilder

    public static class LookupSwitchBuilder.ValuePair
    extends java.lang.Object
    implements java.lang.Comparable<LookupSwitchBuilder.ValuePair>

### Constructor Summary

Constructors
`ValuePair​(int value, java.util.concurrent.atomic.AtomicReference<BranchEnd> branchEnd)`
`ValuePair​(int value, CodeLocation location)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(LookupSwitchBuilder.ValuePair o)`
`java.util.concurrent.atomic.AtomicReference<BranchEnd>` `getBranchEnd()`
`CodeLocation` `getLocation()`
`int` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValuePair

    public ValuePair​(int value,
                     java.util.concurrent.atomic.AtomicReference<BranchEnd> branchEnd)

#### ValuePair

    public ValuePair​(int value,
                     CodeLocation location)

### Method Detail

#### compareTo

    public int compareTo​(LookupSwitchBuilder.ValuePair o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<LookupSwitchBuilder.ValuePair>`

#### getValue

    public int getValue()

#### getLocation

    public CodeLocation getLocation()

#### getBranchEnd

    public java.util.concurrent.atomic.AtomicReference<BranchEnd> getBranchEnd()